package com.jkcredit.illegal.info.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.*;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@ToString
@Data
@AllArgsConstructor
@NoArgsConstructor
public class IllegalInfoChargeObject implements Serializable {

    private static final long serialVersionUID = 306231224493747606L;

    private String method;

    private String traceId;

    private String code;

    private String isEscape;

    private String isPedigree;

    private String isDrugs;

    private boolean isCharge;

    public IllegalInfoChargeObject(IllegalInfoResult result, boolean isCharge, String traceId) {
        BeanUtils.copyProperties(result, this);
        this.method = "checkIllegalInfo";
        this.isCharge = isCharge;
        this.traceId = traceId;
    }
}
