package com.jkcredit.illegal.info.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.beans.BeanUtils;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class CriminalInfoChargeObject implements Serializable {

    private static final long serialVersionUID = 6076375676306229747L;

    private String method;

    private String traceId;

    private String status;

    private String idCard;

    private String msg;

    private String score;

    private boolean isCharge;

    public CriminalInfoChargeObject (CriminalInfoResult result, boolean isCharge, String traceId) {
        BeanUtils.copyProperties(result, this);
        this.method = "criminalInfo";
        this.isCharge = isCharge;
        this.traceId = traceId;
    }
}
