package com.jkcredit.illegal.info.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/9/22 11:40
 * @version: V1.0
 **/
@Data
@NoArgsConstructor
public class IllegalInfoResult implements Serializable {

    private static final long serialVersionUID = -6237336433468586318L;
    private String code;

    @JSONField(name = "result1")
    private String isEscape;

    @JSONField(name = "result2")
    private String isPedigree;

    @JSONField(name = "result3")
    private String isDrugs;

    public IllegalInfoResult normalResult() {
        this.code = "0";
        this.isEscape = "0";
        this.isPedigree = "0";
        this.isDrugs = "0";
        return this;
    }
}
